Skip to main content
GET
/
sdk
/
{environmentId}
/
chains
/
{chainName}
/
transactions
/
{address}
Get transactions for a wallet address
curl --request GET \
  --url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/chains/{chainName}/transactions/{address} \
  --header 'Authorization: Bearer <token>'
{
  "transactions": [
    {
      "transactionHash": "An example name",
      "blockNumber": 123,
      "transactionTimestamp": "2023-11-07T05:31:56Z",
      "blockExplorerUrls": [
        "<string>"
      ],
      "fromAddress": "An example name",
      "toAddress": "An example name",
      "labels": [],
      "assetTransfers": [
        {
          "fromAddress": "An example name",
          "toAddress": "An example name",
          "amount": 123,
          "tokenAddress": "An example name",
          "metadata": {
            "name": "<string>",
            "symbol": "<string>",
            "decimals": 123,
            "imageUri": "<string>"
          }
        }
      ],
      "networkId": 1,
      "blockHash": "<string>",
      "description": "<string>",
      "source": "<string>",
      "spam": true,
      "transactionType": "<string>",
      "fee": {
        "amount": "<string>",
        "sponsored": true,
        "sponsor": "<string>",
        "gasUsed": "<string>",
        "gasPrice": "<string>"
      }
    }
  ],
  "nextOffset": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

chainName
enum<string>
required
Available options:
ETH,
EVM,
FLOW,
SOL,
ALGO,
STARK,
COSMOS,
BTC,
ECLIPSE,
SUI,
SPARK,
TRON,
APTOS,
TON,
STELLAR,
ALEO,
TEMPO,
MIDNIGHT
address
string
required

Public key (address) of the wallet

Maximum string length: 255
Pattern: ^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$
Example:

"An example name"

Query Parameters

networkId
number
required
limit
integer
Required range: 1 <= x <= 100
offset
string
tokenAddress
string

Optional token contract address (EVM) or SPL mint address (Solana) to filter transaction history by token. To filter by the chain's native token, pass its sentinel address: 0x0000000000000000000000000000000000000000 for EVM native (e.g. ETH on Ethereum, MATIC on Polygon) or So11111111111111111111111111111111111111112 for native SOL on Solana.

Response

Wallet transactions fetched successfully

transactions
object[]
required

List of wallet transactions

nextOffset
string

Offset to the next page of transactions